<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Модуль ip.
 * 
 * Файл: /admin/ip/ip.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
// Подключаем основные классы.
require_once('../../main_classes.php');

$admin = new Admin();

// Проверка авторизации пользователя.
$admin->admin_session_valid('ip');

$kernel = & singleton('kernel');

// Инсталляция всех модулей ядра.
$kernel->LoadModules(!isset($_REQUEST['JsHttpRequest']));

// Инициализация CURRENT_SITE и констант.
$admin->admin_init();

if (!isset($_REQUEST['JsHttpRequest']))
{
	do_html_header_admin($GLOBALS['MSG_ip']['show_ip_title']);
}

$admin_forms = & singleton('admin_forms');

$DateClass = & singleton('DateClass');

$ip = new ip();

// Добавление/редактирование IP адреса
if (isset($_REQUEST['add_ip']) || isset($_REQUEST['save_ip']))
{
	ob_start();
	
	if (defined('READ_ONLY') && READ_ONLY)
	{
		$kernel->ReadMode();
	}
	else
	{
		// Добавляем информацию в БД.
		include(CMS_FOLDER . 'admin/ip/action/add_ip.php');
	}
	$message = ob_get_clean();

	$JsHttpRequest = new JsHttpRequest('UTF-8');

	if (isset($_REQUEST['add_ip']))
	{
		// Отображаем форму
		include(CMS_FOLDER . 'admin/ip/action/load_ip.php');
		$GLOBALS['_RESULT'] = $admin_forms->ShowForm(25, 'load_data');
		// Добавляем определенное выше сообщение
		$GLOBALS['_RESULT']['error'] = $message;
	}
	else
	{
		// Отправляем только сообщение о произведенных действиях
		$GLOBALS['_RESULT'] = array(
		'error' => $message,
		'form_html' => '',
		'title' => '');
	}

	echo $JsHttpRequest->LOADER;
	exit();

}

// Отображение форм
switch (to_int($_REQUEST['admin_forms_id']))
{
	case 25:
	default:
		{
			include(CMS_FOLDER.'admin/ip/action/load_ip.php');
			$admin_forms->ProcessAjax(25);
			break;
		}
}

// Отображение списка IP-адресов
if (!isset($_REQUEST['JsHttpRequest']))
{
	do_html_footer_admin();
}
?>